# Generated from intello-shipit-cli-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name intello-shipit-cli

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Designed to simplify working with Gitlab, its main purpose is to kickstart working on an issue
License: MIT
URL: https://gitlab.com/intello/shipit-cli
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-ctags-bundler)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-rubocop)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Designed to simplify working with Gitlab, its main purpose is to kickstart
working on an issue.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/shipit
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rbenv-vars
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-style.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/script
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/shipit-cli.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.0-1
- Initial package
